## vim 9.1.0

=== debian/changelog ===
vim (2:9.1.0-1ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny Vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/ubuntu-mouse-off.patch:
     + Mouse mode is actively harmful in some chroots.
    - debian/patches/increase_timeout.diff:
      + Increase timeout for the Test_pattern_compile_speed patch.
    - debian/patches/0001-fix-flaky-terminal-mode-test.vim:
      + Fix flaky Vim terminal mode test.
    - debian/patches/0002-disable-failing-tests-on-ppc64.patch:
      + Disable some tests that were throwing an ENOMEM during build on
        ppc64el. The tests are only disabled when building on ppc64el.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 02 Jan 2024 19:40:24 -0600

vim (2:9.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, dedicated to the memory of Bram Moolenaar, Vim's
    lead developer for more than 30 years, who passed away half a year ago.
    The Vim project wouldn't exist without his work!

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 02 Jan 2024 19:25:17 -0600

vim (2:9.0.2189-1ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny Vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/ubuntu-mouse-off.patch:
     + Mouse mode is actively harmful in some chroots.
    - debian/patches/increase_timeout.diff:
      + Increase timeout for the Test_pattern_compile_speed patch.
    - debian/patches/0001-fix-flaky-terminal-mode-test.vim:
      + Fix flaky Vim terminal mode test.
    - debian/patches/0002-disable-failing-tests-on-ppc64.patch:
      + Disable some tests that were throwing an ENOMEM during build on
        ppc64el. The tests are only disabled when building on ppc64el.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 01 Jan 2024 14:25:31 -0600

vim (2:9.0.2189-1) unstable; urgency=medium

  [ Simon Quigley ]
  * Merge upstream patch v9.0.2184:
    - Security fixes:
      + 9.0.2121: use-after-free in ex_substitute, CVE-2023-48706
    - Update copyright years.

  [ James McCoy ]
  * Merge upstream patch v9.0.2189
    - syntax/debcontrol.vim: Add support for loong64 keyword.  Thanks to
      zhangjialing@loongson.cn for the patch.

 -- James McCoy <jamessan@debian.org>  Mon, 01 Jan 2024 09:23:58 -0500

vim (2:9.0.2184-0ubuntu1) noble; urgency=medium

  * New upstream release.
    - Forwarded: https://salsa.debian.org/vim-team/vim/-/merge_requests/9
    - Drop all reverse-applicable CVE patches.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 11:58:34 -0600

vim (2:9.0.2116-1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: use-after-free in ex_substitute
    - debian/patches/CVE-2023-48706.patch
    - CVE-2023-48706

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2023 13:13:06 -0600

vim (2:9.0.2116-1ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny Vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/ubuntu-mouse-off.patch:
     + Mouse mode is actively harmful in some chroots.
    - debian/patches/patches/increase_timeout.diff:
      + Increase timeout for the Test_pattern_compile_speed patch.
    - debian/patches/0001-fix-flaky-terminal-mode-test.vim:
      + Fix flaky Vim terminal mode test.
    - debian/patches/0002-disable-failing-tests-on-ppc64.patch:
      + Disable some tests that were throwing an ENOMEM during build on
        ppc64el. The tests are only disabled when building on ppc64el.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 20 Nov 2023 17:12:45 -0600

vim (2:9.0.2116-1) unstable; urgency=medium

  * Merge upstream patch v9.0.2116
    + Security fixes
      - 9.0.2106: Use-after-free in win_close(), CVE-2023-48231
      - 9.0.2107: FPE in adjust_plines_for_skipcol, CVE-2023-48232
      - 9.0.2108: overflow with count for :s command. Abort command if count
        is too large, CVE-2023-48233
      - 9.0.2109: overflow in nv_z_get_count. Limit max value of count,
        CVE-2023-48234
      - 9.0.2110: overflow in ex address parsing. Verify lnum is positive
        before subtracting from LONG_MAX, CVE-2023-48235
      - 9.0.2111: overflow in get_number. Return 0 when the count gets too
        large, CVE-2023-48236
      - 9.0.2112: overflow in shift_line. Limit indent to INT_MAX,
        CVE-2023-48237
    + 9.0.2116: Crash when callback function aborts because of recursiveness.
      - Fixes FTBFS on armel

 -- James McCoy <jamessan@debian.org>  Mon, 20 Nov 2023 11:05:25 -0500

vim (2:9.0.2103-1) unstable; urgency=medium

  * Merge upstream patch v9.0.2103
    + 9.0.2103: Fix FTBFS on 32-bit architectures due to recursive callback
      test.  Limit recursiveness to 20 levels, rather than 100.

 -- James McCoy <jamessan@debian.org>  Mon, 13 Nov 2023 08:48:31 -0500

vim (2:9.0.2087-1ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny Vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/ubuntu-mouse-off.patch:
     + Mouse mode is actively harmful in some chroots.
    - debian/patches/patches/increase_timeout.diff:
      + Increase timeout for the Test_pattern_compile_speed patch.
    - debian/patches/0001-fix-flaky-terminal-mode-test.vim:
      + Fix flaky Vim terminal mode test.
    - debian/patches/0002-disable-failing-tests-on-ppc64.patch:
      + Disable some tests that were throwing an ENOMEM during build on
